summaryrefslogtreecommitdiffstats
path: root/multimedia/JSampler/JSampler.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/JSampler/JSampler.SlackBuild')
-rw-r--r--multimedia/JSampler/JSampler.SlackBuild53
1 files changed, 47 insertions, 6 deletions
diff --git a/multimedia/JSampler/JSampler.SlackBuild b/multimedia/JSampler/JSampler.SlackBuild
index c061ac0e48..d90897d403 100644
--- a/multimedia/JSampler/JSampler.SlackBuild
+++ b/multimedia/JSampler/JSampler.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for JSampler
@@ -11,10 +11,22 @@
# notice and this notice are preserved. This file is offered as-is,
# without any warranty.
+# 20220331 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - abort if JAVA_HOME not set and can't be set from /etc/profile.d.
+# this avoids creating a /jre in the package root.
+# - include an icon in the package, since there's a .desktop file.
+# - add a doinst.sh, needed for the icon and .desktop.
+# - include a wrapper script to launch from the command line.
+# Note: this really should be noarch, and should install the .jar file
+# to /usr/share/$PRGNAM. I don't have time to test such changes right now.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=JSampler
VERSION=${VERSION:-0.9}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -24,7 +36,11 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -56,9 +72,21 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ -exec chmod 644 {} \+
+
+if [ -z "$JAVA_HOME" ]; then
+ source /etc/profile.d/zulu-openjdk8.sh
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ cat <<EOF
+*** No JDK found. Install zulu-openjdk8 or another *jdk package and
+*** try again.
+EOF
+ exit 1
+fi
# make sure destdir exists
mkdir -p $PKG/$JAVA_HOME/jre/bin/
@@ -77,6 +105,18 @@ install -D -m 0644 $CWD/$PRGNAM.desktop \
echo -e "\nExec=java -jar $JAVA_HOME/jre/bin/$(echo "${THEME[@]^}")-0.9.jar" \
>> $PKG/usr/share/applications/$PRGNAM-$THEME.desktop
+# 20220331 bkw: for those of us who don't use KDE or XFCE or want to:
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/$PRGNAM <<EOF
+#!/bin/sh
+exec java -jar $JAVA_HOME/jre/bin/$(echo "${THEME[@]^}")-0.9.jar
+EOF
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+# 20220331 bkw: icon. should be multiple sizes in /usr/share/icons...
+mkdir -p $PKG/usr/share/pixmaps
+cat res/fantasia/icons/LinuxSampler-logo.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
# docs
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -ar \
@@ -87,6 +127,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE